> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model summary

> Gets a DMM model summary either via a unique model identifier or via a unique combination of workbench model id and workbench model version id



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/get_model_summary
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/get_model_summary:
    get:
      tags:
        - Model
      summary: Get model summary
      description: >-
        Gets a DMM model summary either via a unique model identifier or via a
        unique combination of workbench model id and workbench model version id
      operationId: getModelSummary
      parameters:
        - in: query
          name: model_id
          schema:
            type: string
        - in: query
          name: workbench_model_version_id
          schema:
            type: string
      responses:
        '200':
          description: Successfully fetched the Model summary.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelDashboardItemResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelDashboardItemResponse:
      title: Model Dashboard Item.
      description: Model Dashboard Item to be sent in the list models API response.
      type: object
      required:
        - id
        - name
        - version
        - modelType
        - modelStatus
        - createdAt
        - dataDriftChecks
        - modelQualityChecks
        - isDataDriftCheckScheduled
        - isModelQualityCheckScheduled
      properties:
        id:
          description: Model's Unique Identifier.
          type: string
        name:
          description: Model's Name.
          type: string
        version:
          description: Model's Version.
          type: string
        modelType:
          description: Model's Type.
          type: string
          enum:
            - classification
            - regression
        modelStatus:
          description: Model's Registration status.
          type: string
          enum:
            - draft
            - created
            - deleted
        createdAt:
          description: Creation timestamp of a Model.
          type: integer
        isDataDriftCheckScheduled:
          description: Is the Data Drift check for the model scheduled?
          type: boolean
        isModelQualityCheckScheduled:
          description: Is the Model Quality check for the model scheduled?
          type: boolean
        dataDriftChecks:
          description: Data Drift scheduled check runs.
          type: array
          items:
            $ref: '#/components/schemas/dataDriftCheck'
        modelQualityChecks:
          description: Model Quality scheduled check runs.
          type: array
          items:
            $ref: '#/components/schemas/modelQualityCheck'
        sourceType:
          $ref: '#/components/schemas/sourceType'
        permissions:
          $ref: '#/components/schemas/modelDashboardItemPermissions'
        tags:
          description: List of tags associated with the model
          type: array
          items:
            $ref: '#/components/schemas/modelTag'
    dataDriftCheck:
      description: Data Drift scheduled check run.
      type: object
      required:
        - checkedOn
        - variablesDrifted
        - numberOfPredictions
        - scheduledCheckId
        - totalNumberOfVariables
      properties:
        checkedOn:
          description: Schedule check run timestamp.
          type: integer
        variablesDrifted:
          description: Name of variables, which were drifted.
          type: array
          items:
            type: string
        numberOfPredictions:
          description: Number of Prediction records included in the check.
          type: integer
        scheduledCheckId:
          description: Scheduled Check Identifier.
          type: string
        totalNumberOfVariables:
          description: Total number of variables considered for the check.
          type: integer
    modelQualityCheck:
      description: Model Quality scheduled check run.
      type: object
      required:
        - checkedOn
        - scheduledCheckId
        - metrics
        - matchedRowCount
      properties:
        checkedOn:
          description: Schedule check run timestamp.
          type: integer
        scheduledCheckId:
          description: Scheduled Check Identifier.
          type: string
        metrics:
          description: Model Quality Metric results.
          type: array
          items:
            type: object
            required:
              - name
              - value
              - isFailed
            properties:
              name:
                description: Name of the metric.
                type: string
              value:
                description: Metric result value.
                type: number
              isFailed:
                description: Is the metric result failed?
                type: boolean
        matchedRowCount:
          description: Number of predictions that matched ground truth.
          type: number
    sourceType:
      description: Source for the model registration.
      type: string
      enum:
        - domino_workbench
        - standalone
    modelDashboardItemPermissions:
      title: Model Dashboard Item Permissions
      description: Permission metadata required for a model dashbord item response
      required:
        - canEditAttributes
        - canUnregisterMonitoring
      properties:
        canEditAttributes:
          description: Whether the requesting user can edit attributes of the model
          type: boolean
        canUnregisterMonitoring:
          description: Whether the requesting user can unregister monitoring for the model
          type: boolean
    modelTag:
      title: Model Tag
      description: Tag for a model
      required:
        - id
        - tagName
      properties:
        id:
          type: string
        tagName:
          description: name of tag
          type: string
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````